Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005203 [JEDI VCL] 00 JVCL Components major always 2010-03-17 15:29 2011-06-10 16:09
Reporter svk12345 View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005203: A wrong sequence of restoration of windows in a procedure JCL InternalRestoreMDIChildren
Description Wrong:
  FormClass :=
     TFormClass(GetClass(AppStorage.ReadString(AppStorage.ConcatPaths([StorePath, siMDIChild, Format(siItem, [I])]), '')));

Correct:
  FormClass :=
     TFormClass(GetClass(AppStorage.ReadString(AppStorage.ConcatPaths([StorePath, siMDIChild, Format(siItem, [Count - I - 1])]), '')));

Like a way used in a native library RxLib. Otherwise during the restoration there will be another window on the top.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0017340)
AHUser (developer)
2010-04-02 12:39

Fixed in SVN.

I've changed the direction of the for-loop instead of calculating the index.

- Issue History
Date Modified Username Field Change
2010-03-17 15:29 svk12345 New Issue
2010-04-02 12:39 AHUser Note Added: 0017340
2010-04-02 12:39 AHUser Status new => resolved
2010-04-02 12:39 AHUser Fixed in Version => Daily / SVN
2010-04-02 12:39 AHUser Resolution open => fixed
2010-04-02 12:39 AHUser Assigned To => AHUser
2011-06-10 16:09 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker